Convert a variant into another type "in-place"

- « variant_round

- variant_set »

- PHP Manual
- COM Functions
- Convert a variant into another type "in-place"

# variant_set_type

(PHP 5, PHP 7, PHP 8)

variant_set_type — Convert a variant into another type "in-place"

### Description

variant_set_type(variant `$variant`, int `$type`): void

This function is similar to variant_cast() except that the variant is modified "in-place"; no new variant is created. The parameters for this function have identical meaning to those of variant_cast().

### Parameters

`variant`

  The variant.

`type`

### Return Values

No value is returned.

### See Also

- variant_cast() - Convert a variant into a new variant object of another type
- variant_get_type() - Returns the type of a variant object